<?php

namespace Drupal\domain_group\Form;

use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\FormStateInterface;

/**
 * Class DomainGroupGeneralForm.
 */
class DomainGroupGeneralForm extends ConfigFormBase {

  /**
   * {@inheritdoc}
   */
  protected function getEditableConfigNames() {
    return ['domain_group.settings'];
  }

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'domain_group_general_form';
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    $node = \Drupal::entityTypeManager()->getStorage('node')->load(1);
    group_domain_node_get_domains($node);


    $config = $this->config('domain_group.settings');
    $form['unique_group_access'] = [
      '#type' => 'checkbox',
      '#title' => $this->t('Unique group access'),
      '#description' => $this->t('Only the group for the active domain will be accessible (Group nodes included).'),
      '#default_value' => $config->get('unique_group_access'),
    ];
    return parent::buildForm($form, $form_state);
  }

  /**
   * {@inheritdoc}
   */
  public function validateForm(array &$form, FormStateInterface $form_state) {
    parent::validateForm($form, $form_state);
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    parent::submitForm($form, $form_state);

    $this->config('domain_group.settings')
      ->set('unique_group_access', $form_state->getValue('unique_group_access'))
      ->save();
  }

}
